# Command: irand

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    irand - Generate a random positive integer number.

Synopsis:

    rangen n irand -> int

Examples:

      SLI ] rngdict /knuthran get 1234567 CreateRNG /rng Set
      SLI ] [ 10 ] { pop rng 100 irand } Table ==
      [16 87 84 66 81 27 64 57 42 59]

Description:

    irand uses the supplied random number generator to generate
      a random number between 0 and n-1.

SeeAlso:

- drand
- CreateRNG
- seed

Source:

    /opt/conda/conda-bld/nest_1512421404550/work/nest-2.12.0/lib/sli/librandom.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative